var virtualHttp = function(){};
virtualHttp.prototype.success = virtualHttp.prototype.error = function(data){};

var ServiceHost = "http://www.mmtrix.com";

var transformRequest = function(obj) {
	var k, str, v, val, _i, _len;
	str = [];
	if (obj instanceof Array) {
		for (_i = 0, _len = obj.length; _i < _len; _i++) {
			val = obj[_i];
			k = val[0];
			v = val[1];
			str.push(encodeURIComponent(k) + "=" + encodeURIComponent(v));
		}
	} else {
		for (k in obj) {
			v = obj[k];
			if (!obj.hasOwnProperty(k)) {
				continue;
			}
			str.push(encodeURIComponent(k) + "=" + encodeURIComponent(v));
		}
	}
	return str.join("&");
};

angular.module('starter.services', [])
.service("checkUrlService",function($http){
	var remote = ServiceHost + "/evaluate/mbcheckurl";
	var http = new virtualHttp();
	http.check = function(urlVal) {
		$http({
			method: "POST",
			url: remote,
			headers: {'Content-Type': 'application/x-www-form-urlencoded'},
			transformRequest: transformRequest,
			data: {url: urlVal}
		}).success(function(data, status, headers, config){
			http.success(data);
		}).error(function(data, status,headers,config){
			http.error();
		});
		
	};

	return http;
})
.service("startService",function($http){
	var remote = ServiceHost + "/evaluate/mbstart";
	var http = new virtualHttp();
	http.start = function(testId, cache){
		var postData = {};
		if (cache) {
			postData = {testId: testId, cache: cache};
		} else {
			postData = {testId: testId};
		}
		$http({
			method: "POST",
			url: remote,
			headers: {'Content-Type': 'application/x-www-form-urlencoded'},
			transformRequest: transformRequest,
			data: postData
		}).success(function(data, status, headers, config){
			http.success(data);
		}).error(function(data, status,headers,config){
			http.error();
		});
	};
	return http;
});